package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.cmp.params.fusionsphere.NetworkCardOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.NetworkCard;

/**
 * @ClassName: FusionSphereNetworkCardService
 * @Description:
 * @Author lxy
 * @Date 2021/10/27 16:32
 */
public interface FusionSphereNetworkCardService {
    BocloudResult operations(NetworkCardOperationParams params, RequestContext context);

    BocloudResult create(NetworkCard entityParams, RequestContext context);

    BocloudResult remove(Long id, RequestContext context);

    BocloudResult<GridBean<NetworkCard>> list(Pager pager, RequestContext context);

    BocloudResult<NetworkCard> detail(Long id, RequestContext context);
}
